Update patient information
curl --request PATCH \
--url https://mcp.arlohealth.ai/api/profile/patient \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"birthDate": {
"year": 123,
"month": 123,
"day": 123
},
"address": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"healthNumber": "<string>",
"medications": [
{
"title": "<string>",
"description": "<string>"
}
],
"conditions": [
{
"title": "<string>",
"description": "<string>"
}
],
"allergies": [
{
"title": "<string>",
"severity": "<string>"
}
],
"replaceMedicalHistory": true
}
'import requests
url = "https://mcp.arlohealth.ai/api/profile/patient"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"birthDate": {
"year": 123,
"month": 123,
"day": 123
},
"address": "<string>",
"city": "<string>",
"province": "<string>",
"zip": "<string>",
"healthNumber": "<string>",
"medications": [
{
"title": "<string>",
"description": "<string>"
}
],
"conditions": [
{
"title": "<string>",
"description": "<string>"
}
],
"allergies": [
{
"title": "<string>",
"severity": "<string>"
}
],
"replaceMedicalHistory": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
birthDate: {year: 123, month: 123, day: 123},
address: '<string>',
city: '<string>',
province: '<string>',
zip: '<string>',
healthNumber: '<string>',
medications: [{title: '<string>', description: '<string>'}],
conditions: [{title: '<string>', description: '<string>'}],
allergies: [{title: '<string>', severity: '<string>'}],
replaceMedicalHistory: true
})
};
fetch('https://mcp.arlohealth.ai/api/profile/patient', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"patient": {
"patientId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"gender": "Female",
"phone": "<string>",
"email": "jsmith@example.com",
"birthDate": {
"year": 123,
"month": 123,
"day": 123
},
"isDefault": true,
"address": "<string>",
"city": "<string>",
"province": "<string>",
"country": "CA",
"zip": "<string>",
"healthNumber": "<string>",
"medications": [
{
"title": "<string>",
"description": "<string>"
}
],
"conditions": [
{
"title": "<string>",
"description": "<string>"
}
],
"allergies": [
{
"title": "<string>",
"severity": "<string>"
}
]
}
}{
"error": "<string>",
"needsAuth": true
}Profile
Update Patient
Update patient demographics, medical history, address, or terms acceptance. Supports partial updates - only include fields you want to change.
PATCH
/
api
/
profile
/
patient
Update patient information
Authorizations
OAuth 2.1 with PKCE
Body
application/json
Partial patient info update. Only include fields to change.
Available options:
Female, Male, Other Show child attributes
Show child attributes
State code of the patient's home address (e.g. CA, NY); Canadian province codes are accepted for legacy CA accounts. This is not the care region — that is the conversation's ISO 3166-2 region.
Available options:
CA, US Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When true, the medications/conditions/allergies arrays REPLACE the existing lists instead of being merged into them.
Was this page helpful?
⌘I